AVX support in Linux

AVX support in Linux

Anyone knows of which version of RHEL will support AVX ?

Will RHEL 5.5 support AVX ?

Any info or links/contact persons will be appreciated ?

Thanks, --Yariv

2 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

Linux: supported since kernel version 2.6.30 released on June 9, 2009.

It looks like RHEL uses 2.6.18 so it won't be supported unless the kernel is updated.
RHEL 6.0 with kernel 2.6.32 will support it.

http://en.wikipedia.org/wiki/Advanced_Vector_Extensions
http://en.wikipedia.org/wiki/Red_Hat_Enterprise_Linux

You can find references to specific details on the Wikipedia pages.

Leave a Comment

Please sign in to add a comment. Not a member? Join today